<div class="row">
  <!--Description-->
  <div class="col-md-6">
    <mat-card>
      <mat-card-header class="mat-card-header">
        <div class="mat-card-header-text">
          <mat-card-title class="mat-card-title">
            <h2>Module level</h2>
          </mat-card-title>
        </div>
      </mat-card-header>
      <mat-divider></mat-divider>
      <mat-card-content>
        <ng-container>
          <h3><b>I. Description</b></h3>
          If <b>MessageBusModule</b> is registered in an module. An <a>single instance</a> of <b>MessageBusService</b> is used for <b>ALL module components</b>.
          <div>This can be a single source of truth to exchange messages between components belong to the same module</div>
          <div>Every component which broadcasts to <b>the same channel & event</b> can communicate to each other.</div>
          <div>Within the module, event component is generated by a <code>router-outlet</code>, it can receive the messages too</div>
          <br/><br/>
        </ng-container>

        <ng-container>
          <h3><b>II. Architecture:</b></h3>
          <div>
            <img class="img-fluid" [src]="'/assets/diagrams/module-level.png'">
          </div>
        </ng-container>

      </mat-card-content>
    </mat-card>
  </div>

  <!--Demo-->
  <div class="col-md-6 demo-content">
    <mat-card>
      <mat-card-header>
        <mat-card-title>
          <h2>Demo</h2>
        </mat-card-title>
      </mat-card-header>
      <mat-divider></mat-divider>
      <mat-card-content>
        <ul>
          <li>
            <module-level-parent [name]="'Level 01'">
              <ul>
                <li>
                  <module-level-child></module-level-child>
                  <module-level-child></module-level-child>
                </li>
                <li>
                  <module-level-parent [name]="'Level 02'">
                    <ul>
                      <li>
                        <module-level-child></module-level-child>
                        <module-level-parent [name]="'Level 03'">
                          <ul>
                            <li>
                              <b>NOTE:</b> <i>This component is generated through <code>router-outlet</code></i>
                              <router-outlet></router-outlet>
                            </li>
                          </ul>
                        </module-level-parent>
                      </li>
                    </ul>
                  </module-level-parent>
                </li>
              </ul>
            </module-level-parent>
          </li>
        </ul>
      </mat-card-content>
    </mat-card>
  </div>
</div>
